%global srcname subvertpy
%filter_provides_in %{python_sitearch}
%filter_setup

Name:           python-subvertpy
Version:        0.9.1
Release:        5%{?dist}
Summary:        Python bindings for Subversion

License:        LGPLv2+
URL:            http://samba.org/~jelmer/subvertpy/
Source0:        http://samba.org/~jelmer/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  subversion-devel
BuildRequires:  python-nose

%description
Alternative Python bindings for Subversion, split out from bzr-svn.
The goal is to have complete, portable and "Pythonic" Python bindings.

%prep
%setup -q -n %{srcname}-%{version}
chmod -x examples/ra_*.py

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
 
#%check
#cd build/*/subvertpy/tests
#PYTHONPATH=.. nosetests test*.py

%files
%doc AUTHORS COPYING NEWS TODO examples/
%{_bindir}/%{srcname}*
%{python_sitearch}/%{srcname}/
%{python_sitearch}/%{srcname}-*.egg-info
%exclude %{python_sitearch}/%{srcname}/tests

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 26 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-3
- Update spec file

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 15 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1
- Update to new upstream release 0.9.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.0-1
- Update to new upstream release 0.9.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 04 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.10-1
- Updated to new upstream release 0.8.10

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.9-1
- Update to new upstream release 0.8.9

* Mon Oct 10 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.8-1
- Update to new upstream release 0.8.8

* Mon Sep 19 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.7-1
- Update to new upstream release 0.8.7

* Sat Aug 20 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.4-1
- Update to new upstream release 0.8.4

* Wed Jun 22 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.2-1
- Update to new upstream release 0.8.2

* Sun Mar 27 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.0-1
- Exclude the tests directory
- Update to new upstream version 0.8.0

* Thu Nov 25 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.5-2
- Check section fixed

* Sat Nov 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.5-1
- Change the filtering stuff to get rid of private-shared-object-provides
- Add the tests (at the moment all failed)
- Rename the package

* Fri Aug 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.3-1
- Update to new upstream release 0.7.3

* Mon Jun 28 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-1
- Initial package
